Subject: Re: bug#32672: 27.0.50; image resize on window resizing

From: martin rudalics <[email-masked]>
Date: Fri, 28 Dec 2018 09:34:49 +0100

> This is because of debounce: the selection-change hook is called twice,
 > so only the last call is processed.  But the problem is that the
 > selection-change hook is called not in the logical order, as would be
 > expected, i.e. first in unselected window, then in the selected window.
 > But actually it's called in the order of windows in the window list,
 > e.g. first the 'selected' event is called if the window was created
 > earlier, then the 'deselected' event if the window was created later.
 > IOW, the calling order depends on the window order.

This is consistent with running the remaining hooks.  In either case
you can always use 'old-selected-window' to find out what changed.

martin